Error al exportar un shp
08/04/2014 05:22 AM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Vector editing
Target version: 2.1.0-2249-testing
Severity: Blocker Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2240 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

He probado a exportar 2 shp de líneas y en ambos casos me da error.
Adjunto log.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2754: Al exportar a shp/... Closed 08/03/2014

Associated revisions
Revision 41765 - 10/10/2014 11:07 AM - Joaquín  del Cerro Murciano

Correcciones al parche MAX_FIELD_NAME_LENGTH.patch del ticket #2672. refs #2672 , refs #2762, refs #2856.

History
#1 - 08/04/2014 05:23 AM - Álvaro Anguix
- Related to gvSIG bugs #2754: Al exportar a shp/dbf los valores numericos son truncados a 1 caracter. added

#2 - 08/04/2014 01:31 PM - Joaquín  del Cerro Murciano

¿Puedes pasarme la capa que intentas exportar?
Con mis capas de prueba no me falla.

Si esta en downloads me pasas el enlace, y si no si puedes adjuntala al ticket.

#3 - 08/05/2014 04:39 AM - Álvaro Anguix
- File 0_export.png added
- File Ferrocarril.zip added

Adjunto uno de los shp con los que me da error. Es el de Ferrocarriles de Andalucia.
Adjunto también captura de imagen del mensaje de error que aparece al exportar.

#4 - 08/05/2014 04:47 AM - Álvaro Anguix
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2241-testing
- Status changed from New to Closed

En el 2241 no me falla, así que lo cierro.

#5 - 10/07/2014 12:41 PM - Antonio Falciano
- Target version changed from 2.1.0-2241-testing to 2.1.0-2259-rc3
- Status changed from Closed to New
- File Export_to_Shape_2248.log added

I can't export as shape in build 2248 due to an org.gvsig.fmap.dal.feature.exception.UnknownDataTypeException.
I've tried with different input SHPs and GMLs several times without success. I attach the log.

#6 - 10/08/2014 03:57 AM - Antonio Falciano

The issue seems due to the same reason of #2856.

#7 - 10/10/2014 11:10 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#8 - 10/13/2014 04:39 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2249-testing

#9 - 10/14/2014 09:48 AM - Antonio Falciano
- Status changed from Fixed to Closed

Files
gvSIG.log 391 KB 08/04/2014 Álvaro Anguix
Ferrocarril.zip 57 KB 08/05/2014 Álvaro Anguix
0_export.png 24.5 KB 08/05/2014 Álvaro Anguix
Export_to_Shape_2248.log 331 KB 10/07/2014 Antonio Falciano
